Index: /trunk/src/org/expeditee/items/widgets/WidgetEdge.java
===================================================================
--- /trunk/src/org/expeditee/items/widgets/WidgetEdge.java	(revision 1101)
+++ /trunk/src/org/expeditee/items/widgets/WidgetEdge.java	(revision 1102)
@@ -19,8 +19,9 @@
 package org.expeditee.items.widgets;
 
-import java.awt.Color;
-import java.awt.Polygon;
 import java.util.List;
 
+import org.expeditee.core.Colour;
+import org.expeditee.core.Point;
+import org.expeditee.core.bounds.PolygonBounds;
 import org.expeditee.items.Item;
 import org.expeditee.items.Line;
@@ -28,5 +29,5 @@
 
 /**
- * Widget edges define the boundries of an interactive widget.
+ * Widget edges define the boundaries of an interactive widget.
  * 
  * @author Brook Novak
@@ -34,8 +35,8 @@
 public class WidgetEdge extends Line {
 
-	private InteractiveWidget _widgetSource;
+	private Widget _widgetSource;
 
 	WidgetEdge(WidgetCorner start, WidgetCorner end, int id,
-			InteractiveWidget widgetSource) {
+			Widget widgetSource) {
 		super(start, end, id);
 		
@@ -45,5 +46,5 @@
 	}
 
-	public InteractiveWidget getWidgetSource() {
+	public Widget getWidgetSource() {
 		return _widgetSource;
 	}
@@ -89,5 +90,5 @@
 
 	@Override
-	public void setArrowhead(Polygon arrow) {
+	public void setArrowhead(PolygonBounds arrow) {
 	}
 
@@ -101,9 +102,9 @@
 
 	@Override
-	public void setBottomShadowColor(Color bottom) {
-	}
-
-	@Override
-	public void setFillColor(Color c) {
+	public void setBottomShadowColor(Colour bottom) {
+	}
+
+	@Override
+	public void setFillColor(Colour c) {
 	}
 
@@ -121,20 +122,20 @@
 	
 	@Override
-	public void setAnchorTop(Float anchor) {
+	public void setAnchorTop(Integer anchor) {
 		_widgetSource.setAnchorTop(anchor);
 	}
 
 	@Override
-	public void setAnchorBottom(Float anchor) {
+	public void setAnchorBottom(Integer anchor) {
 		_widgetSource.setAnchorBottom(anchor);
 	}
 
 	@Override
-	public void setAnchorLeft(Float anchor) {
+	public void setAnchorLeft(Integer anchor) {
 		_widgetSource.setAnchorLeft(anchor);
 	}
 
 	@Override
-	public void setAnchorRight(Float anchor) {
+	public void setAnchorRight(Integer anchor) {
 		_widgetSource.setAnchorRight(anchor);
 	}
@@ -156,30 +157,30 @@
 	
 	@Override
-	public Float getAnchorTop() {
+	public Integer getAnchorTop() {
 		return _widgetSource.getSource().getAnchorTop();
 	}
 
 	@Override
-	public Float getAnchorBottom() {
+	public Integer getAnchorBottom() {
 		return _widgetSource.getSource().getAnchorBottom();
 	}
 	
 	@Override
-	public Float getAnchorLeft() {
+	public Integer getAnchorLeft() {
 		return _widgetSource.getSource().getAnchorLeft();
 	}
 
 	@Override
-	public Float getAnchorRight() {
+	public Integer getAnchorRight() {
 		return _widgetSource.getSource().getAnchorRight();
 	}
 	
 	@Override
-	public boolean contains(int x, int y) {
-		return super.contains(x, y) && !_widgetSource.getBounds().contains(x, y);
-	}
-
-	@Override
-	public Polygon getEnclosedShape() {
+	public boolean contains(Point p) {
+		return super.contains(p) && !_widgetSource.getBounds().contains(p);
+	}
+
+	@Override
+	public PolygonBounds getEnclosedShape() {
 		return getStartItem().getEnclosedShape();
 	}
@@ -219,5 +220,5 @@
 	
 	@Override
-	public void setBackgroundColor(Color c) {
+	public void setBackgroundColor(Colour c) {
 		if (_widgetSource != null) {
 			super.setBackgroundColor(c);
@@ -227,5 +228,5 @@
 	
 	@Override
-	public void setColor(Color c) {
+	public void setColor(Colour c) {
 		if (_widgetSource != null) {
 			super.setColor(c);
Index: /trunk/src/org/expeditee/items/widgets/charts/AbstractCategory.java
===================================================================
--- /trunk/src/org/expeditee/items/widgets/charts/AbstractCategory.java	(revision 1101)
+++ /trunk/src/org/expeditee/items/widgets/charts/AbstractCategory.java	(revision 1102)
@@ -19,7 +19,8 @@
 package org.expeditee.items.widgets.charts;
 
-import java.awt.Color;
 import java.util.Collection;
 
+import org.expeditee.core.Colour;
+import org.expeditee.gio.swing.SwingConversions;
 import org.expeditee.gui.AttributeValuePair;
 import org.expeditee.items.Text;
@@ -49,5 +50,5 @@
 			Collection<Text> items, boolean swap) {
 		boolean foundData = false;
-		Color newColor = null;
+		Colour newColor = null;
 		for (Text i : items) {
 			try {
@@ -61,5 +62,5 @@
 									categoryName);
 							if (_paints.get(attribute) == null) {
-								_paints.put(attribute, i.getBackgroundColor());
+								_paints.put(attribute, SwingConversions.toSwingColor(i.getBackgroundColor()));
 							}
 						} else {
@@ -77,5 +78,5 @@
 		}
 		if (foundData && !swap) {
-			_paints.put(categoryName, newColor);
+			_paints.put(categoryName, SwingConversions.toSwingColor(newColor));
 		}
 		return foundData;
Index: /trunk/src/org/expeditee/items/widgets/charts/AbstractChart.java
===================================================================
--- /trunk/src/org/expeditee/items/widgets/charts/AbstractChart.java	(revision 1101)
+++ /trunk/src/org/expeditee/items/widgets/charts/AbstractChart.java	(revision 1102)
@@ -20,9 +20,7 @@
 
 import java.awt.BasicStroke;
-import java.awt.Color;
 import java.awt.Component;
 import java.awt.Font;
 import java.awt.Paint;
-import java.awt.Point;
 import java.awt.event.KeyEvent;
 import java.awt.event.KeyListener;
@@ -35,10 +33,13 @@
 import javax.swing.JPanel;
 
+import org.expeditee.core.Colour;
+import org.expeditee.core.Point;
+import org.expeditee.gio.gesture.StandardGestureActions;
+import org.expeditee.gio.swing.SwingConversions;
 import org.expeditee.gui.ColorUtils;
+import org.expeditee.gui.DisplayController;
 import org.expeditee.gui.Frame;
 import org.expeditee.gui.FrameGraphics;
 import org.expeditee.gui.FrameIO;
-import org.expeditee.gui.FrameKeyboardActions;
-import org.expeditee.gui.FrameMouseActions;
 import org.expeditee.gui.FunctionKey;
 import org.expeditee.items.Text;
@@ -103,16 +104,15 @@
 				case SizeUp:
 					invalidateLink();
-					FrameKeyboardActions.SetSize(getFirstCorner(), 1, false,
-							true, false);
+					StandardGestureActions.SetSize(getFirstCorner(), 1, false, true, false);
 					invalidateSelf();
-					FrameGraphics.refresh(true);
+					DisplayController.requestRefresh(true);
 					// FrameGraphics.requestRefresh(true);
 					break;
 				case SizeDown:
 					invalidateLink();
-					FrameKeyboardActions.SetSize(getFirstCorner(), -1, false,
+					StandardGestureActions.SetSize(getFirstCorner(), -1, false,
 							true, false);
 					invalidateSelf();
-					FrameGraphics.refresh(true);
+					DisplayController.requestRefresh(true);
 					// FrameGraphics.ForceRepaint();
 					// FrameGraphics.refresh(true);
@@ -125,5 +125,5 @@
 							setSourceFillColor(null);
 						} else {
-							Color newColor = ColorUtils.getNextColor(
+							Colour newColor = ColorUtils.getNextColor(
 									getSource().getFillColor(),
 									TemplateSettings.BackgroundColorWheel.get(), null);
@@ -134,5 +134,5 @@
 							setBackgroundColor(null);
 						} else {
-							Color newColor = ColorUtils.getNextColor(
+							Colour newColor = ColorUtils.getNextColor(
 									getSource().getColor(), TemplateSettings.ColorWheel.get(),
 									null);
@@ -141,4 +141,6 @@
 					}
 					break;
+				default:
+					break;
 				}
 			}
@@ -148,5 +150,5 @@
 
 			public void keyTyped(KeyEvent e) {
-				FrameKeyboardActions.processChar(e.getKeyChar(), e
+				StandardGestureActions.processChar(e.getKeyChar(), e
 						.isShiftDown());
 			}
@@ -155,5 +157,5 @@
 
 			public void mouseClicked(MouseEvent e) {
-				FrameMouseActions.getInstance().mouseClicked(translateEvent(e));
+				//StandardGestureActions.mouseClicked(translateEvent(e));
 			}
 
@@ -167,5 +169,5 @@
 
 			public void mousePressed(MouseEvent e) {
-				FrameMouseActions.getInstance().mousePressed(translateEvent(e));
+				//StandardGestureActions.mousePressed(translateEvent(e));
 			}
 
@@ -180,6 +182,5 @@
 
 			public void mouseReleased(MouseEvent e) {
-				FrameMouseActions.getInstance()
-						.mouseReleased(translateEvent(e));
+				//StandardGestureActions.mouseReleased(translateEvent(e));
 			}
 
@@ -272,7 +273,7 @@
 				if (foundData |= addCategoryData(categoryName, linkFrame
 						.getNonAnnotationText(true), swap)) {
-					Color backgroundColor = category.getBackgroundColor();
+					Colour backgroundColor = category.getBackgroundColor();
 					if (backgroundColor != null)
-						_paints.put(categoryName, backgroundColor);
+						_paints.put(categoryName, SwingConversions.toSwingColor(backgroundColor));
 					addSubject(linkFrame);
 				}
@@ -307,5 +308,5 @@
 
 	@Override
-	public void setBackgroundColor(Color c) {
+	public void setBackgroundColor(Colour c) {
 		super.setBackgroundColor(c);
 		if (_chart == null)
@@ -314,10 +315,10 @@
 			_chart.setBackgroundPaint(JFreeChart.DEFAULT_BACKGROUND_PAINT);
 		} else {
-			_chart.setBackgroundPaint(c);
-		}
-	}
-
-	@Override
-	public void setSourceColor(Color c) {
+			_chart.setBackgroundPaint(SwingConversions.toSwingColor(c));
+		}
+	}
+
+	@Override
+	public void setSourceColor(Colour c) {
 		super.setSourceColor(c);
 		if (_chart == null)
@@ -326,5 +327,5 @@
 			_chart.getTitle().setPaint(TextTitle.DEFAULT_TEXT_PAINT);
 		} else {
-			_chart.getTitle().setPaint(c);
+			_chart.getTitle().setPaint(SwingConversions.toSwingColor(c));
 		}
 		for (Title t : _chart.getSubtitles()) {
@@ -332,5 +333,5 @@
 				t.setPaint(TextTitle.DEFAULT_TEXT_PAINT);
 			} else {
-				t.setPaint(c);
+				t.setPaint(SwingConversions.toSwingColor(c));
 			}
 		}
@@ -338,13 +339,13 @@
 		if (legend != null) {
 			if (c == null) {
-				legend.setFrame(new BlockBorder(Color.black));
+				legend.setFrame(new BlockBorder(SwingConversions.toSwingColor(Colour.BLACK)));
 			} else {
-				legend.setFrame(new BlockBorder(c));
-			}
-		}
-	}
-
-	@Override
-	public void setSourceBorderColor(Color c) {
+				legend.setFrame(new BlockBorder(SwingConversions.toSwingColor(c)));
+			}
+		}
+	}
+
+	@Override
+	public void setSourceBorderColor(Colour c) {
 		super.setSourceBorderColor(c);
 		if (_chart == null)
@@ -353,10 +354,10 @@
 			_chart.getPlot().setOutlinePaint(Plot.DEFAULT_OUTLINE_PAINT);
 		} else {
-			_chart.getPlot().setOutlinePaint(c);
-		}
-	}
-
-	@Override
-	public void setSourceFillColor(Color c) {
+			_chart.getPlot().setOutlinePaint(SwingConversions.toSwingColor(c));
+		}
+	}
+
+	@Override
+	public void setSourceFillColor(Colour c) {
 		super.setSourceFillColor(c);
 		if (_chart == null)
@@ -368,7 +369,7 @@
 				legend.setBackgroundPaint(null);
 		} else {
-			_chart.getPlot().setBackgroundPaint(c);
+			_chart.getPlot().setBackgroundPaint(SwingConversions.toSwingColor(c));
 			if (legend != null)
-				legend.setBackgroundPaint(c);
+				legend.setBackgroundPaint(SwingConversions.toSwingColor(c));
 		}
 	}
@@ -387,5 +388,5 @@
 		if (legend != null) {
 			legend.setFrame(new BlockBorder(newThickness, newThickness,
-					newThickness, newThickness, getSource().getPaintColor()));
+					newThickness, newThickness, SwingConversions.toSwingColor(getSource().getPaintColor())));
 			legend.setItemFont(legend.getItemFont().deriveFont(fontSize));
 			float pad = newThickness + 1;
Index: /trunk/src/org/expeditee/items/widgets/charts/AbstractPie.java
===================================================================
--- /trunk/src/org/expeditee/items/widgets/charts/AbstractPie.java	(revision 1101)
+++ /trunk/src/org/expeditee/items/widgets/charts/AbstractPie.java	(revision 1102)
@@ -20,6 +20,7 @@
 
 import java.awt.BasicStroke;
-import java.awt.Color;
 
+import org.expeditee.core.Colour;
+import org.expeditee.gio.swing.SwingConversions;
 import org.expeditee.gui.AttributeValuePair;
 import org.expeditee.gui.Frame;
@@ -85,5 +86,5 @@
 				try {
 					_data.setValue(avp.getAttribute(), avp.getDoubleValue());
-					_paints.put(avp.getAttribute(), t.getBackgroundColor());
+					_paints.put(avp.getAttribute(), SwingConversions.toSwingColor(t.getBackgroundColor()));
 				} catch (NumberFormatException nfe) {
 
@@ -94,5 +95,5 @@
 
 	@Override
-	public void setSourceBorderColor(Color c) {
+	public void setSourceBorderColor(Colour c) {
 		super.setSourceBorderColor(c);
 		if (getChart() == null)
@@ -106,18 +107,18 @@
 			plot.setShadowPaint(PiePlot.DEFAULT_SHADOW_PAINT);
 		} else {
-			plot.setBaseSectionOutlinePaint(c);
-			plot.setLabelLinkPaint(c);
-			plot.setLabelOutlinePaint(c);
-			Color newC = c.darker();
-			Color faded = new Color(newC.getRed(), newC.getGreen(), newC
-					.getBlue(), 128);
+			plot.setBaseSectionOutlinePaint(SwingConversions.toSwingColor(c));
+			plot.setLabelLinkPaint(SwingConversions.toSwingColor(c));
+			plot.setLabelOutlinePaint(SwingConversions.toSwingColor(c));
+			Colour newC = c.darker();
+			Colour faded = new Colour(newC.getRed(), newC.getGreen(), newC
+					.getBlue(), Colour.FromComponent255(128));
 
-			plot.setLabelShadowPaint(faded);
-			plot.setShadowPaint(c);
+			plot.setLabelShadowPaint(SwingConversions.toSwingColor(faded));
+			plot.setShadowPaint(SwingConversions.toSwingColor(c));
 		}
 	}
 
 	@Override
-	public void setSourceColor(Color c) {
+	public void setSourceColor(Colour c) {
 		super.setSourceColor(c);
 		if (getChart() == null)
@@ -127,5 +128,5 @@
 			plot.setLabelPaint(PiePlot.DEFAULT_LABEL_PAINT);
 		} else {
-			plot.setLabelPaint(c);
+			plot.setLabelPaint(SwingConversions.toSwingColor(c));
 		}
 	}
Index: /trunk/src/org/expeditee/items/widgets/charts/AbstractValueAxis.java
===================================================================
--- /trunk/src/org/expeditee/items/widgets/charts/AbstractValueAxis.java	(revision 1101)
+++ /trunk/src/org/expeditee/items/widgets/charts/AbstractValueAxis.java	(revision 1102)
@@ -20,7 +20,8 @@
 
 import java.awt.BasicStroke;
-import java.awt.Color;
 import java.awt.Stroke;
 
+import org.expeditee.core.Colour;
+import org.expeditee.gio.swing.SwingConversions;
 import org.expeditee.gui.Frame;
 import org.expeditee.items.Text;
@@ -56,5 +57,5 @@
 
 	@Override
-	public void setSourceColor(Color c) {
+	public void setSourceColor(Colour c) {
 		super.setSourceColor(c);
 		if (getChart() == null)
@@ -70,13 +71,13 @@
 					.setTickLabelPaint(Axis.DEFAULT_TICK_LABEL_PAINT);
 		} else {
-			plot.getDomainAxis().setLabelPaint(c);
-			plot.getRangeAxis().setLabelPaint(c);
-			plot.getDomainAxis().setTickLabelPaint(c);
-			plot.getRangeAxis().setTickLabelPaint(c);
+			plot.getDomainAxis().setLabelPaint(SwingConversions.toSwingColor(c));
+			plot.getRangeAxis().setLabelPaint(SwingConversions.toSwingColor(c));
+			plot.getDomainAxis().setTickLabelPaint(SwingConversions.toSwingColor(c));
+			plot.getRangeAxis().setTickLabelPaint(SwingConversions.toSwingColor(c));
 		}
 	}
 
 	@Override
-	public void setSourceBorderColor(Color c) {
+	public void setSourceBorderColor(Colour c) {
 		super.setSourceBorderColor(c);
 		if (getChart() == null)
@@ -89,9 +90,9 @@
 			plot.getRangeAxis().setTickMarkPaint(Plot.DEFAULT_OUTLINE_PAINT);
 		} else {
-			Color brighter = c.brighter();
-			plot.setDomainGridlinePaint(brighter);
-			plot.setRangeGridlinePaint(brighter);
-			plot.getDomainAxis().setTickMarkPaint(c);
-			plot.getRangeAxis().setTickMarkPaint(c);
+			Colour brighter = c.brighter();
+			plot.setDomainGridlinePaint(SwingConversions.toSwingColor(brighter));
+			plot.setRangeGridlinePaint(SwingConversions.toSwingColor(brighter));
+			plot.getDomainAxis().setTickMarkPaint(SwingConversions.toSwingColor(c));
+			plot.getRangeAxis().setTickMarkPaint(SwingConversions.toSwingColor(c));
 		}
 	}
Index: /trunk/src/org/expeditee/items/widgets/charts/AbstractXY.java
===================================================================
--- /trunk/src/org/expeditee/items/widgets/charts/AbstractXY.java	(revision 1101)
+++ /trunk/src/org/expeditee/items/widgets/charts/AbstractXY.java	(revision 1102)
@@ -19,8 +19,9 @@
 package org.expeditee.items.widgets.charts;
 
-import java.awt.Color;
 import java.util.Collection;
 import java.util.HashSet;
 
+import org.expeditee.core.Colour;
+import org.expeditee.gio.swing.SwingConversions;
 import org.expeditee.gui.AttributeValuePair;
 import org.expeditee.items.Item;
@@ -55,5 +56,5 @@
 			Collection<Text> items, boolean swap) {
 		XYSeries newSeries = new XYSeries(categoryName);
-		Color categoryColor = null;
+		Colour categoryColor = null;
 		boolean foundData = false;
 		Collection<Item> seen = new HashSet<Item>();
@@ -123,5 +124,5 @@
 		if (foundData) {
 			_data.addSeries(newSeries);
-			_paints.put(categoryName, categoryColor);
+			_paints.put(categoryName, SwingConversions.toSwingColor(categoryColor));
 		}
 		return foundData;
Index: /trunk/src/org/expeditee/items/widgets/charts/Polar.java
===================================================================
--- /trunk/src/org/expeditee/items/widgets/charts/Polar.java	(revision 1101)
+++ /trunk/src/org/expeditee/items/widgets/charts/Polar.java	(revision 1102)
@@ -19,6 +19,6 @@
 package org.expeditee.items.widgets.charts;
 
-import java.awt.Color;
-
+import org.expeditee.core.Colour;
+import org.expeditee.gio.swing.SwingConversions;
 import org.expeditee.items.Text;
 import org.jfree.chart.ChartFactory;
@@ -43,5 +43,5 @@
 
 	@Override
-	public void setSourceColor(Color c) {
+	public void setSourceColor(Colour c) {
 		super.setSourceColor(c);
 		if (getChart() == null)
@@ -53,5 +53,5 @@
 			plot.setAngleLabelPaint(Axis.DEFAULT_AXIS_LABEL_PAINT);
 		} else {
-			plot.setAngleLabelPaint(c);
+			plot.setAngleLabelPaint(SwingConversions.toSwingColor(c));
 		}
 	}
Index: /trunk/src/org/expeditee/items/widgets/charts/TimeSeries.java
===================================================================
--- /trunk/src/org/expeditee/items/widgets/charts/TimeSeries.java	(revision 1101)
+++ /trunk/src/org/expeditee/items/widgets/charts/TimeSeries.java	(revision 1102)
@@ -19,5 +19,4 @@
 package org.expeditee.items.widgets.charts;
 
-import java.awt.Color;
 import java.text.DateFormat;
 import java.text.ParseException;
@@ -27,4 +26,7 @@
 import java.util.Date;
 
+import org.expeditee.Util;
+import org.expeditee.core.Colour;
+import org.expeditee.gio.swing.SwingConversions;
 import org.expeditee.gui.AttributeValuePair;
 import org.expeditee.gui.Frame;
@@ -100,5 +102,5 @@
 			String startDateString = dataFrame.getAnnotationValue("start");
 			if (startDateString != null) {
-				_startDate = parseDate(startDateString);
+				_startDate = Util.parseDate(startDateString);
 			}
 		} catch (Exception e) {
@@ -135,5 +137,5 @@
 
 		boolean foundData = false;
-		Color newColor = null;
+		Colour newColor = null;
 		for (Text i : items) {
 			if (!i.isLineEnd()) {
@@ -157,5 +159,5 @@
 						RegularTimePeriod rtp = null;
 						if (attribute == null) {
-							Date date = parseDate(avp.getAttribute());
+							Date date = Util.parseDate(avp.getAttribute());
 							rtp = _periodType.getConstructor(
 									new Class[] { Date.class }).newInstance(
@@ -212,27 +214,7 @@
 		if (foundData) {
 			_data.addSeries(newSeries);
-			_paints.put(categoryName, newColor);
+			_paints.put(categoryName, SwingConversions.toSwingColor(newColor));
 		}
 		return foundData;
 	}
-
-	/**
-	 * @param avp
-	 * @return
-	 * @throws ParseException
-	 */
-	public static Date parseDate(String dateString) throws ParseException {
-		// Select the best match for a date or time format
-		DateFormat df = null;
-		if (dateString.length() > Formatter.DATE_FORMAT
-				.length()) {
-			df = new SimpleDateFormat(Formatter.DATE_TIME_FORMAT);
-		} else if (dateString.length() <= Formatter.TIME_FORMAT.length()) {
-			df = new SimpleDateFormat(Formatter.TIME_FORMAT);
-		}else {
-			df = new SimpleDateFormat(Formatter.DATE_FORMAT);
-		}
-		Date date = df.parse(dateString);
-		return date;
-	}
 }
